## wxAcceleratorEntry

An object used by an application wishing to create an accelerator table.

Derived from

None

Include files

<wx/accel.h>

See also

wxAcceleratorTable, wxWindow::SetAcceleratorTable

Members

wxAcceleratorEntry::wxAcceleratorEntry
wxAcceleratorEntry::GetCommand
wxAcceleratorEntry::GetFlags
wxAcceleratorEntry::GetKeyCode
wxAcceleratorEntry::Set

### wxAcceleratorEntry::wxAcceleratorEntry

wxAcceleratorEntry()

Default constructor.

wxAcceleratorEntry(int flags, int keyCode, int cmd)

Constructor.

Parameters

flags

One of wxACCEL_ALT, wxACCEL_SHIFT, wxACCEL_CTRL and wxACCEL_NORMAL. Indicates which modifier key is held down.

keyCode

The keycode to be detected. See Keycodes for a full list of keycodes.

cmd

The menu or control command identifier.

### wxAcceleratorEntry::GetCommand

int GetCommand() const

Returns the command identifier for the accelerator table entry.

### wxAcceleratorEntry::GetFlags

int GetFlags() const

Returns the flags for the accelerator table entry.

### wxAcceleratorEntry::GetKeyCode

int GetKeyCode() const

Returns the keycode for the accelerator table entry.

### wxAcceleratorEntry::Set

void Set(int flags, int keyCode, int cmd)

Sets the accelerator entry parameters.

Parameters

flags

One of wxACCEL_ALT, wxACCEL_SHIFT, wxACCEL_CTRL and wxACCEL_NORMAL. Indicates which modifier key is held down.

keyCode

The keycode to be detected. See Keycodes for a full list of keycodes.

cmd

The menu or control command identifier.